Add S3 object

Uploads a file to the caller’s OrderInternalMessages for this order (lazy-creates the messages doc). Automatic blurhash generation for images. | authz_personas=[coordinator_org_operators, order_executor_org_operators] | (UploadFile) -> (OrderInternalMessageS3ObjectMetadata1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

order_idstringRequired

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful Response
_idstring
order_internal_messages_idstring
schema_versioninteger
uploaded_at_timestampdatetime
uploaded_by_org_idstring

Must be a string starting with org_

uploaded_by_user_idstring

Must be a string starting with user_

blurhashstring or nullOptional
content_typestring or nullOptional

MIME type of the uploaded file (e.g., ‘image/jpeg’, ‘application/pdf’)

filenamestring or nullOptional
Original filename of the uploaded file
s3_key_prefix"operations/order_internal_message_s3_object_metadata"Optional

Errors

422
S3objects Add V1request Unprocessable Entity Error